/* Margini + scorrimento pagina */
html, body {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}

/* Barra */
#bar {
    position: fixed;
    z-index: 1000;
    display: flex;
    justify-items: center;
    width: 100%;
    height: 10vh;
    background-image: url("rbar.png");
    background-repeat: repeat-x;
    background-position: left center;
    background-size: contain;
}

/* Carrello logo */
#cart {
    position: absolute;
    right: 0;
    height: 9vh;
    cursor: pointer;
}

/* Container prodotti */
#p-container {
    position: absolute;
    display: flex;
    top: 10vh;
    padding: 1%;
    flex-wrap: wrap;
    justify-content: center;
    width: 100vw;
    align-items: flex-start
}

/* Prodotti */
.product {
    display: flex;
    flex-direction: column;
    border-style: solid;
    border-radius: 4%;
    border-color:rgb(237, 143, 196);
    margin: 0.6%;
    justify-content: center;
    justify-items: center;
    max-width: 25vw;
}

/* Immagini prodotti */
.product img {
    margin: 2%;
    border-radius: 5%;
}

/* Nome prodotti */
.product .p-name {
    margin: 3%;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-size: 3vh;
}

/* Prezzo prodotti */
.product .p-price {
    margin: 3%;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 3vh;
    align-self: center;
}

/* Carrello prodotti */
.product .add-to-cart {
    margin: 3%;
    border-color:rgb(250, 103, 208);
    font-family: Arial, Helvetica, sans-serif;
    font-size: 2.5vh;
    border-radius: 1vw;
    padding: 1vh;
    transform: translateY(0);
    transition: transform 0.2s ease;
    margin-top: auto;
}

/* Carrello prodotti animazione */
.product .add-to-cart:active {
    transform: translateY(-1vh)
}